Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class ProofType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.ProofType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:23:15+02:00",
               comments="JAXB RI v2.2.11")
    public class ProofType

extends Object
implements Serializable

Java class for ProofType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProofType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-PROOF"/>
             <element name="binaryproof" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}Base64EncryptedDataType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProofType()`

Method Summary
`Base64EncryptedDataType` | `getBinaryproof()` Gets the value of the binaryproof property.
`CDPROOF` | `getCd()` Gets the value of the cd property.
`void` | `setBinaryproof(Base64EncryptedDataType value)` Sets the value of the binaryproof property.
`void` | `setCd(CDPROOF value)` Sets the value of the cd property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProofType

    public ProofType()

Method Detail

### getCd

    public CDPROOF getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDPROOF`

### setCd

    public void setCd(CDPROOF value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDPROOF`

### getBinaryproof

    public Base64EncryptedDataType getBinaryproof()

  Gets the value of the binaryproof property.

  Returns:
    possible object is `Base64EncryptedDataType`

### setBinaryproof

    public void setBinaryproof(Base64EncryptedDataType value)

  Sets the value of the binaryproof property.

  Parameters:
    `value` - allowed object is `Base64EncryptedDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.